﻿#region Using Statements
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
#endregion

namespace FoodFight
{
    public abstract class Drawable
    {
        public Vector2 Position { get; set; }
        public float Rotation { get; set; }
        public Vector2 Scale { get; set; }

        public bool isVisible { get; set; }
        public float Layer { get; set; }

        public Drawable()
        {

        }

        public abstract void Update();

        public abstract void Draw(SpriteBatch sBatch);
    }
}
